Analyzing # 183 (OTkpbiTa): Express analysis of experimental data

Kanv|6pau,m| 1 MM KpeMHeBOro getekrtopa
04/18/2018 10:12 AM - Vratislav Chudoba

Status: OTtkpbiTa Start date: 04/18/2018
Priority: HopmanbHbiii Due date:

Assignee: Ivan Muzalevsky % Done: 70%
Category: Software Estimated time: 0.00 hour
Target version:

Description
MonyunTtb KanMbopPOBOYHbLIE NapamMeTpbl Ans 060MX 1 MM KPEMHEBbLIX AETEKTOPOB.

1) Mony4nTb NpeaBapuTenbHble KannbopoBOYHbIE NapamMeTpbl A/1s NEBOr0 4ETEKTOPA, He YUMTbIBas NbefecTtanbl(nuTnpoBaHme
npsiIMOA Mo 4 To4kaMm). He yunTbiBas MEPTBbLIA COW. (SHEeprum - NacnopTHbIE).

2)|_|OHY‘~II/ITb 3Ha4YeHne MépTBOFO cnos, ncnonb3ysd OaHHble, NoNny4YeHHble npu 06nyqu|/|v| aﬂbq)a-l/ICTOl-IHI/IKOM non pasHbiMK yrnamu
(90 u 45)

3) MonyunTb KanMbpPOBOYHbIE MapaMeTPbl, y4UTbIBAs NOTEPU SHEPrM B MEPTBOM CNOE

KannbpaunoHHble n3amMepeHus 3anuncaHbl B cpaiinax

file with good statistics, the last day of measurement.

O6ny4yeHne noa 90 rpagycos. [ns neBoro 1-MM getekTopa ¢ MMUeBol cTopoHbl ("X") BUOUM OBOEHME B ABYX CTpUnax, B 5-oM u
165-3.%3.80.1 61:/LynxOS/mbsusr/mbsdag/mbsrun/exp201804/data/calib/si_1000_LR_02_0001.Imd

O6nyyeHne nof yriom 44 rpanyca (nesblit) ¢ pacctosiHust 33 cM. Tpurrep oT NPaBoro U NeBoro, HO NpasbIii NEXUT noa 60bWUM
yrniom.

/LynxOS/mbsusr/mbsdag/mbsrun/exp201804/data/calib/si_1000_LR_03_0001.Imd

file before the meauserement (for more information see logbook)
/LynxOS/mbsusr/mbsdag/mbsrun/exp201803/data/calib/before/si_L_fin_calib_41_0001.Imd

History

#1 - 04/18/2018 01:53 PM - Ivan Muzalevsky
- Description updated

- % Done changed from 0 to 10

Pacuyétbl nponssoannuck https://github.com/himyss/AculUti.git commit: 45b6a5676c1538ec2706ed5a55435fb70b0a9fad
CaoenaHbl nonbITkn oTkanmbposaTtb 1-MMm netekTop. [aHHble 6panvce u3 garina si_1000_LR_02_0001.root (onvcaHne ecTb B norbyke). boino

06HapyXeHo, 4TO, B COOTBETCTBMY C instructions.pdf , npeaBapuTenbHoOe 3Ha4YEHNE MEPTBOrO CNOSt ANst 3TOr0 LEeTEKTopa NPEBbIWAET 3HaYeHve 5.4
MKM, 4TO HEMHOrO AvKO. MNMonyyeHa kapTMHKa npuMepa UTMPOBaHNS ChipbiX OaHHbIX (B KaHanax).
fit_example.png

Lns 5 1 6 kaHanos BMAMM yOBOEHWE MUKOB, Kak 1 obelwan noroéyk.

DoublePeaks_5.png DoublePeaks_6.png

#2 - 04/18/2018 04:28 PM - lvan Muzalevsky
- File SQX_L_ZeroDL.cal added

1) B meTone AculCalibration::Mycalc 6bina 3akoMMeHTMpOBaHa CTpoka, paHee fobaBnsiowas AONOAHUTENbHYIO TOYKY ANS (OUTMPOBAHNS NPSMOIA
NUHWEN - TOYKY nepjecrana.

//calGraph->SetPoint(4, pedestal_chan, 0.); //additional point for the pedestal at 0 MeV
MonyyeHbl NpeABapuTEnbHbLIE NapameTpbl KanMbPOBKY, AN SHEPrWiA = NacnopTHLIM faHHbIM (MEpTBLIA cnoli = 0). SQX_L_ZeroDL.cal.

Mpumep rTrposaHmsa TMNMYHOro kaHana (17 kaHan)
sql_x%5B17%5D.png

#3 - 04/19/2018 05:34 PM - Ivan Muzalevsky
- File pre_SQX_L.cal added
- File SQX_L.cal added

commit: 25211677e05f1316836563e33faa879b03ce8294
Lns kannbposku BbINU UCNONb30BaHbl SHEPrUM U3 NACMOPTHBIA faHHbIX NCTOYHMKA : http://www.khlopin.ru/docs/products/source/E_OSAL.pdf

1) NpenBapuTenbHble KanMBPOBOYHbIE NapamMeTpbl 3anucaHbl B pre_SQX_L.cal

2) Paccyétbl nokasanm ( https://docs.google.com/spreadsheets/d/1RjBBLo_H3SWNhnWMjvQQSxE3np8uQBSFwvwXzX3idto/edit#gid=170276309 ),
yTo BenMunHa Mépteoro cnosi pasHa  2.07485 MKM.

3) B pesynbTaTte y4éta MEPTBOro cnos, bbina caoenaHa kanmbposka 1-Mm netektopa. JlnHeHbIlh donT genancs no 4
Toukam (6e3 yyéTa nbepectana ). KannbpoBoyHble NapaMeTpbl 3anncaHbl B goainn SQX_L.cal
cali.png
#4 - 04/24/2018 03:23 PM - Vratislav Chudoba

MBaH, 13 onucaHns He 04eHb MOHSITHO, Kakne Bpanncb aHeprum Ans KanubpoBKU Ha Kax oM aTane. [lymato, 4To 06 3TOM CTOUT pacckasathb 1
npueecTy 3HaveHns B MaB. VimeeTcs B BUAy naccnopTHbIe 1 C y4eTOM MEPTBOrO CNOs AeTeKkTopa.

Hapo nonyuutb kannbpoBoyHble NapamMeTpbl 1 Ans NpaBoro 1 MM netekoTopa.

davin SQX_L.cal MOXHO HanpsiMyto untaTb € nomollbio Go4?

#5 - 04/28/2018 02:40 PM - Sergey Belogurov

Ivan, please put logbook and root files with uncalibrated alpha spectra from Si detectors into /media/analysis_nas/exp1804.

#6 - 05/07/2018 12:43 AM - Vratislav Chudoba

Ivan, be so kind and provide files with calibration parameters in form readable for our library for go4analysis.

#7 - 05/07/2018 12:07 PM - lvan Muzalevsky
- File SQX_R.cal added

1) Bbina caenaHa kannbposka NpaBoro AeTekTopa no faHHbIM U3 Toro Xe daina (
/LynxOS/mbsusr/mbsdag/mbsrun/exp201804/data/calib/si_1000_LR_02_0001.Imd)

Lna kannbposku, MEPTBLIA CNO NPUHMMANKW PaBHLIM MEPTBOMY CIIOKO NIEBOr0 AeTeKTopa, 2.07485 MkM
JNuHeiHbIn oyt genancsa no 4 Toukam (6e3 yuéTta nbegecrana ).
KannbpoBouHble napameTpbl 3anucaHbl B palin SQX_R.cal

sgx_r_fit.png
#8 - 05/07/2018 03:57 PM - Ivan Muzalevsky
- File SQY _L.cal added

Takxxe 6bin oTkanubposaH 1-MM NEBbI OETEKTOP MO 3aLHWUM cTpunaM. KapTuHka douta takas xe. napameTtpbl B SQY_L.cal

#9 - 05/09/2018 04:53 PM - Ivan Muzalevsky
- File checkCali.C added
- File CalEnergies_SQX_L.txt added

C nomowbto Makpoca checkCali.C 6binn npoBepeHbl KannbpoBoYHbIe NapamMeTpbl ANs NULEBON CTOPOHbI NEBOro 1-MM AeTekTopa. B

cpaiine CalEnergies_SQX_L.txt nonoxeHnn nnkoB B 3Heprusix. HanomuHato, 4to npu Bei6paHHOM MEPTBOM cnoe 2.07 MKM, s kanubposancs Ha
cnepyolme 3Heprum N1KoB:

fEnergy[0] = 4.49274

fEnergy[1] = 5.21546

fEnergy[2] = 5.74011

fEnergy[3] = 7.46059

ToyHocTb Kanubposku - Ao 20 kaB. Bpoge 6bl Hennoxo

O[LMH KaHBac 13 8, Ha KOTOPOM BUAHO Kak MPOXOAMIO (oMTMpOBaHUe. Be3ae Bpoae BCE Mo KpacoTe

fit.png

Ouwnbka sIBHO npun KaJWIﬁpOBKe 3afHel yactu. K coxaneHuio, oHa He COBCEM TpuBManbHas.
#10 - 05/10/2018 10:45 AM - Ivan Muzalevsky
- File CalEnergies_SQY_L.txt added
- File SQY _L _checked.cal added

Bbina coenaHa kanmbpoBka 3afHel YacTy NeBoro 1-MM aetekTopa.

Kannbposka npoBoannack Ha aHeprum anba yactuy :

fEnergy[0] = 4.49274

fEnergy[1] = 5.21546

fEnergy[2] = 5.74011

fEnergy[3] = 7.46059

ToyHoCTb Kanubposku - Ao 30 K3B.

B dpaitne CalEnergies_SQY_L.txt nonoxeHwn NMKoB B aHeprusx. Ha kapTuHke - utupoBaHune kannbposaHHoro cnektpa. iMeHHo napameTp
aTOro goutupoBaHus 3anucax B CalEnergies_SQY_L.txt. Kannbpoo4Hble napameTpbl 3anucaHsl B cpaiine : SQY_L_checked.cal

fit.png
#11 - 05/10/2018 11:03 AM - Ivan Muzalevsky

Bbino 3amMeyeHo, 4To 4ns HyneBoro ctpuna 3anHen ctopoHsbl (Y). Mponcxoanno asoeHne BCex NMKOB. Obifo pewweHo, AaHHbIA cTpun npyu obpaboTke
HE y4MTblBaATb.
CneBa - cbipble aaHHble u3 charna /LynxOS/mbsusr/mbsdag/mbsrun/exp201804/data/calib/si_1000_LR_02_0001.Imd, cnpaBa - oTkannbpoBaHHble

DaHHas owunbka 6bina obHapyXeHa BO BCEX AaHHbIX C AaHHOMO AeTekTopa.

RawData_0.png CalData_0.png

#12 - 05/10/2018 12:03 PM - lvan Muzalevsky
- % Done changed from 10 to 70

#13 - 05/10/2018 03:26 PM - lvan Muzalevsky

Bbino BbIsICHEHO, 4TO NMKK B cTpune Ne6 (0TCHET C Hyns) NMUEBOI CTOPOHBI neBoro aetektopa SQX_L[6] cunbHO OBOATCS. BbIHY X AEHbI HE
y4nTbiBaTh A@HHbIE C 3TOrO CTpUMA.
sqgl_6.png

#14 - 05/17/2018 01:38 PM - Ilvan Muzalevsky
- File SQX_Lnew.cal added

Mepen TeM Kak elwé He NOHATbIE MONOChI U3 KAPTUHKM SUMMEX : summEy Ans neeBoro Teneckona, nepenpoBepui eweé pas kanmbposky 1-Mm
netektopa. Hanoxwun kannbpoBaHHble cnekTpbl Apyr Ha apyra. [Monyynn cnepytowyto kKapTuHky. Hobasnsio cain ¢ HOBbIMU KanmbpoBOYHbIMU
napameTpamu. ATO He 3HAYMT, 4TO cTapble Obinn KpMBbIE, NMOMPABKM LOCTATOYHO HE3HAYUTENbHBI, M CKOPEE BCEro 3aBUCUNN OT (PUTMPOBaHUS
CbipbIx cnekTpoB. Ho Ha Bcakwmin cnyyai 3ansto SQX_Lnew.cal.
summcalSpec.png
#15 - 05/17/2018 11:47 PM - lvan Muzalevsky

N3 cyMMapHbIx kKannbpoBaHHbIX KapTUHOK CUrHANoB, Bbinv yCTaHOBNEHb! FpaHuLbl MbeaecTanos ans X n'Y ctpunos. Ons Y cTpynoB (kapTuHKa
cnesa), XBOCT OT MbefecTtana nepectaét bbiTb BUAEH, ecnv sHeprosbiaeneHune 6onblwe 0.85 MaB. Ona X - 1.1 MaB.

summYspec.png summXspec.png

Wcnonb3ays kannbpoBoYHbIE AaHHbIe, CTPOMNACh KAPTUHKA SHEPrOBbIAENEHUs B 1 CTpUME NULIEBOM CTOPOHbI MPOTUB BCEX CTPUMOB 3aAHER CTOPOHbI
(npaBas KapTWHKA), C YCNOBMEM, YTO 3HEProBblaeneHne 6onbwe 1 MaB.

Ha6niopanuck nonocel no BepTrkanu. MpeanonoxeHue - HyXHO y4MTbIBATb KNacTepusauuio, pacnpeneneHne sHepronoTepb B COCELHUX CTpUNax.
KpacHas npsimas - rpagovk coyHKLMM y=X Ha 060MX pUCyHKax

CneBa - kapTuHKa c y4€ToM Knactepusauum. o BepTukanu - cymma 3HeprosblAeNeHni Tpéx cocegHux X cTpumnos, MO roOpU3oHTaNN Takxe Bce
3HeprosblaeneHns Y CTpunos. YCNoBwue - SHeprosblaeneHne Ha cpeamHHoM X cTpune npesbiwaeTt 1MaB, a sHeprosblaeneHns cocegHnx MeHblue 1
MaB. MoXHO0 BUAETb, YTO MONOCHI COBPANMCh B MSATHBIWKU, K COXANEHUIO Pa3MbITbe, I PACMONOXEHHbIE 3HAYNTENbHO BbILIE MPSIMOVA.
claster.png

#16 - 05/18/2018 03:10 PM - lvan Muzalevsky
- File SQY_R.cal added
- File SQX_R.cal added

Ins npaBoro 1-MM LeTekTopa Nojy4yeHbl napameTpbl LS NALEBOR CTOPOHbI U 3aaHel. Bee cTpunbl pabouue. paHnua negectana ans X CTpuUnos -
1.15MaB, ona Y - 1.25 MaB

#17 - 05/19/2018 03:24 PM - Sergey Belogurov

Ivan, when calculating the dead layer in every strip, did you take into account that the range of an alpha particle depends slightly on the Y
coordinate?

#18 - 05/24/2018 05:21 PM - lvan Muzalevsky
- File SQX_L.cal added

For data obtained in measurements with SQL, by irradiating it from 35 cm with 90 angle. Also in this measurements amplifaction factor was higher
than in previous.
/media/analysis_nas/exp201804/calib/si_after/si_L_cal_35cm_center_normal_000(1-7).root

Calibration was made, new calibration paramteres for SQX_L were written into SQX_L.cal

#19 - 05/28/2018 04:18 PM - lvan Muzalevsky
- File SQY_L.cal added

#20 - 06/06/2018 02:50 PM - Sergey Belogurov

We should compare the count rate in peaks with what is expected. Nominal activity is 3*10"4 Bq. For a pixel size of 7 mm”2 at the distance of
400 mm from the source, the relative solid angle would be 7/(4*pi*400*400)=3.5e-6. l.e. count rate should be 0,1 Hz for each alpha line. For the
entire X strip - 16 times more, i.e. 1.6 Hz.

Another important thing. From the MC simulations we can see that the counting rate is rather uniform over the pixels. if the distance to the source is
40 cm. For this reason the positon of the sourse can not be reconstructed from the data. For the measurement with the source placed 5 cm far from
the detector the measurement of the source position will be possible, | hope.

#21 - 06/07/2018 11:34 AM - Ivan Muzalevsky
- File deleted (SQX_L.cal)

#22 - 06/07/2018 11:34 AM - lvan Muzalevsky
- File deleted (SQY_L.cal)

#23 - 06/07/2018 11:48 AM - Ivan Muzalevsky
- File SQX_L.cal added
- File SQY _L.cal added

_comment.png _ edit.png .

For data obtained in measurements with SQL, by irradiating it from 35 cm with 90 and 45 angle. In this measurements amplifaction factor was higher

than in previous.
/media/analysis_nas/exp201804/calib/si_after/si_L_cal_35cm_center_normal_000(1-7).root
/media/analysis_nas/exp201804/calib/si_after/si_L_cal_35cm_45deg _000(1-7).root
Obtained dead layer = 2.44 mcm.

Cal pars are written into SQX_L.cal and SQY_L.cal

#24 - 02/27/2019 09:03 AM - Vitaliy Schetinin

9Sta 3amjava koraa Hubyab 3aKoHUUTCA?

#25 - 02/27/2019 02:23 PM - Mikhail Kozlov

B penoauTtopum 3akpoto 3agady, Koraa Bosbio TyAa Makpochl Ans Npoueaypbl KanubpoBKku, OTHET 0 KOTOPOW CeroaHs 6bin pas3ocnaH no novTe.

Files

SQX_L_ZeroDL.cal 572 Bytes 04/18/2018 Ivan Muzalevsky
pre_SQX_L.cal 569 Bytes 04/19/2018 lvan Muzalevsky
SQX_L.cal 609 Bytes 04/19/2018 Ivan Muzalevsky
SQX_R.cal 571 Bytes 05/07/2018 Ivan Muzalevsky
SQY_L.cal 292 Bytes 05/07/2018 Ivan Muzalevsky
checkCali.C 1.91 KB 05/09/2018 Ivan Muzalevsky
CalEnergies_SQX_L.txt 1.07 KB 05/09/2018 lvan Muzalevsky
CalEnergies_SQY_L.txt 505 Bytes 05/10/2018 lvan Muzalevsky
SQY_L_checked.cal 291 Bytes 05/10/2018 Ivan Muzalevsky
SQX_Lnew.cal 616 Bytes 05/17/2018 lvan Muzalevsky
SQY_R.cal 290 Bytes 05/18/2018 lvan Muzalevsky
SQX_R.cal 571 Bytes 05/18/2018 lvan Muzalevsky
SQX_L.cal 662 Bytes 06/07/2018 Ivan Muzalevsky
SQY_L.cal 324 Bytes 06/07/2018 Ivan Muzalevsky
